EVP_RIPEMD160(3)

NAME
EVP_ripemd160 - RIPEMD160 For EVP

SYNOPSIS
 #include <openssl/evp.h>

 const EVP_MD *EVP_ripemd160(void);

DESCRIPTION
RIPEMD-160 is a cryptographic hash function first published in 1996 belonging to the RIPEMD family (RACE Integrity Primitives Evaluation Message Digest). This implementation is only available with the legacy provider.

EVP_ripemd160()
    The RIPEMD-160 algorithm which produces a 160-bit output from a given input.

RETURN VALUES
These functions return a EVP_MD structure that contains the implementation of the symmetric cipher. See EVP_MD_meth_new(3) for details of the EVP_MD structure.

CONFORMING TO
ISO/IEC 10118-3:2016 Dedicated Hash-Function 1 (RIPEMD-160).

SEE ALSO
evp(7), provider(7), EVP_DigestInit(3)

COPYRIGHT
Copyright 2017-2020 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.